Bug 224288 - Yumex and software updater throw fatal exception errors when loading
Yumex and software updater throw fatal exception errors when loading
Status: CLOSED DUPLICATE of bug 224292
Product: Fedora
Classification: Fedora
Component: yum-metadata-parser (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2007-01-24 21:34 EST by Tim McConnell
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-25 12:49:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
errors from Software updater (1.18 KB, application/octet-stream)
2007-01-24 21:34 EST, Tim McConnell
no flags Details
Software updater failure #2 (1.18 KB, application/octet-stream)
2007-01-24 21:35 EST, Tim McConnell
no flags Details
Yumex failure (781 bytes, application/octet-stream)
2007-01-24 21:36 EST, Tim McConnell
no flags Details
Yumex crash dump files (781 bytes, application/octet-stream)
2007-01-25 08:43 EST, Radovan Cihak
no flags Details

  None (edit)
Description Tim McConnell 2007-01-24 21:34:56 EST
Description of problem:
Yumex and software updater throw fatal exception errors when loading metadata

Version-Release number of selected component (if applicable):
Yumex 1.2.2

How reproducible: Launch Yumex or Software updater

Steps to Reproduce:
1.Launch Yumex or let software updater launch 
2.log in as root or view updates
3. recieve failure notice 
Actual results:
both programs fail to launch

Expected results:
to be able to update the OS 

Additional info: both worked fine until after upgrade to 2.6.19-1.2895.fc6xen kernel
Comment 1 Tim McConnell 2007-01-24 21:34:56 EST
Created attachment 146488 [details]
errors from Software updater
Comment 2 Tim McConnell 2007-01-24 21:35:58 EST
Created attachment 146489 [details]
Software updater failure #2
Comment 3 Tim McConnell 2007-01-24 21:36:55 EST
Created attachment 146490 [details]
Yumex failure
Comment 4 Tim McConnell 2007-01-24 21:38:35 EST
please advise of any additional files needed. 
Comment 5 Radovan Cihak 2007-01-25 08:43:18 EST
Created attachment 146537 [details]
Yumex crash dump files
Comment 6 Radovan Cihak 2007-01-25 08:47:33 EST
(In reply to comment #5)
> Created an attachment (id=146537) [edit]
> Yumex crash dump files

Sorry I'm posting for the first time, so I've put my comments in wrong place.

This bug(?) appears on my box suddnely. One day it working well next day it keep
crashing. Nothing changed on my system - no installation od updates were made
before crash.

[radovan@bender ~]$ uname -a
Linux bender 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:37:32 EDT 2006 i686 i686
i386 GNU/Linux

[radovan@bender ~]$ sudo yumex
GUI Setup Completted
Mirrordetection : best
Yum Version : 3.0.3 (/usr/share/yum-cli)
[Yum] Loading "installonlyn" plugin
Error in routine: BackgroundRunner
Error Type: yum.comps.CompsException
Error Value: 

('/usr/lib/python2.4/site-packages/yumex/yumexUtils.py', 1548, 'run', 'self.rc =
self.runfunc( *self.args )')
  File : /usr/lib/python2.4/site-packages/yumex/yumexUtils.py , line 1548, in run
    self.rc = self.runfunc( *self.args ) 
('/usr/lib/python2.4/site-packages/yumex/yumexBase.py', 315, 'load_repo_data',
  File : /usr/lib/python2.4/site-packages/yumex/yumexBase.py , line 315, in
('/usr/lib/python2.4/site-packages/yumex/yumexBase.py', 341, 'doGroupSetup',
'yum.YumBase.doGroupSetup( self )')
  File : /usr/lib/python2.4/site-packages/yumex/yumexBase.py , line 341, in
    yum.YumBase.doGroupSetup( self ) 
('/usr/lib/python2.4/site-packages/yum/__init__.py', 408, 'doGroupSetup',
  File : /usr/lib/python2.4/site-packages/yum/__init__.py , line 408, in
('/usr/lib/python2.4/site-packages/yum/comps.py', 339, 'add', 'group = Group(elem)')
  File : /usr/lib/python2.4/site-packages/yum/comps.py , line 339, in add
    group = Group(elem) 
('/usr/lib/python2.4/site-packages/yum/comps.py', 57, '__init__',
  File : /usr/lib/python2.4/site-packages/yum/comps.py , line 57, in __init__
('/usr/lib/python2.4/site-packages/yum/comps.py', 133, 'parse',
  File : /usr/lib/python2.4/site-packages/yum/comps.py , line 133, in parse
('/usr/lib/python2.4/site-packages/yum/comps.py', 143, 'parse_package_list',
'raise CompsException')
  File : /usr/lib/python2.4/site-packages/yum/comps.py , line 143, in
    raise CompsException 
Component: yumex
Version: 1.2.2
Summary: TB03120a34 yumexmain.py:1045:_runBackground:CompsException

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 1108, in ?
    mainApp = YumexMainApplication()
  File "/usr/share/yumex/yumexmain.py", line 541, in __init__
  File "/usr/share/yumex/yumexmain.py", line 992, in setup_yum
    if self._runBackground( self.yumexbase.load_repo_data, rload ):
  File "/usr/share/yumex/yumexmain.py", line 1045, in _runBackground
    raise self.backgroundThread.exception

Local variables in innermost frame:
runfunc: <bound method yumexBase.load_repo_data of <yumex.yumexBase.yumexBase
object at 0x903012c>>
args: (False,)
self: <__main__.YumexMainApplication instance at 0x902a2ec>
Comment 7 Michael Schwendt 2007-01-25 12:49:49 EST
Comment 1 to comment 4:

*** This bug has been marked as a duplicate of 224292 ***

Note You need to log in before you can comment on or make changes to this bug.